Technical FAQs

Ask a Question

Which browser do I use for Mypact ?

The supported browser versions for Mypact are : Internet Explorer 10+, Chrome (v50+), Firefox (v30+)
 
Was this helpful?
What can we do to improve the information ?